%bcond_without  tests

%global         srcname     azure-mgmt-sql

Name:           python-%{srcname}
Version:        3.0.1
Release:        4%{?dist}
Summary:        Microsoft Azure SQL Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure SQL Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


# LICENSE missing. Made a PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20184
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:3.0.1-3
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:3.0.1-2
- Update to 3.0.1 and add tests

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:0.29.1-3
- Update docs file list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.29.1-2
- Add epoch number for 0.29.1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.29.1-1
- Downgrade to 0.29.1

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 3.0.1-1
- Update to 3.0.1

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 2.1.0-1
- First package.
